summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>2017-09-21 07:19:30 +0200
committerMike Gilbert <floppym@gentoo.org>2017-09-21 17:03:56 -0400
commit11f24667f843745a0a81b124d29d1e7b1bf91333 (patch)
tree23a6cc08b15e2c0a7f065dfbaa7111cf1a5f3ea2 /sys-process/criu/criu-3.4.ebuild
parentsci-biology/goby: Depend directly on dev-java/protobuf-java. (diff)
downloadgentoo-11f24667f843745a0a81b124d29d1e7b1bf91333.tar.gz
gentoo-11f24667f843745a0a81b124d29d1e7b1bf91333.tar.bz2
gentoo-11f24667f843745a0a81b124d29d1e7b1bf91333.zip
sys-process/criu: Depend on || ( dev-python/protobuf-python dev-libs/protobuf[python] ).
Diffstat (limited to 'sys-process/criu/criu-3.4.ebuild')
-rw-r--r--sys-process/criu/criu-3.4.ebuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/sys-process/criu/criu-3.4.ebuild b/sys-process/criu/criu-3.4.ebuild
index 982954a66c3..2aec9b89b4a 100644
--- a/sys-process/criu/criu-3.4.ebuild
+++ b/sys-process/criu/criu-3.4.ebuild
@@ -28,7 +28,10 @@ DEPEND="${RDEPEND}
app-text/xmlto"
RDEPEND="${RDEPEND}
python? (
- dev-libs/protobuf[python,${PYTHON_USEDEP}]
+ || (
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ dev-libs/protobuf[python,${PYTHON_USEDEP}]
+ )
dev-python/ipaddr[${PYTHON_USEDEP}]
)"